<template>
  <Modal
    :modalStyle="{ width: '700px' }"
    title="Athlete"
    @close="$emit('close', 'athlete')"
    :visible="visible"
  >
    <div slot="content" class="athlete mt-2">
      <div class="px-7 py-7">
        <p class="font-weight-bold mb-2">Sports</p>
        <v-row no-gutters>
          <v-col>
            <Checkbox>American Football</Checkbox>
            <Checkbox>Badminton</Checkbox>
            <Checkbox>Baseball</Checkbox>
            <Checkbox>Basketball</Checkbox>
            <Checkbox>Boxing</Checkbox>
            <Checkbox>Cricket</Checkbox>
            <Checkbox>Cycling</Checkbox>
            <Checkbox>Diver</Checkbox>
            <Checkbox>Field Hookey</Checkbox>
            <Checkbox>Figure Skating</Checkbox>
            <Checkbox>Football (Soccer)</Checkbox>
          </v-col>
          <v-col>
            <Checkbox>Gamer</Checkbox>
            <Checkbox>Golf</Checkbox>
            <Checkbox>Gugby</Checkbox>
            <Checkbox>Gymnastics</Checkbox>
            <Checkbox>Hockey</Checkbox>
            <Checkbox>Jockey</Checkbox>
            <Checkbox>Martial Arts</Checkbox>
            <Checkbox>MMA</Checkbox>
            <Checkbox>Olympic Athletics</Checkbox>
            <Checkbox>Race Car or Motorcycle</Checkbox>
          </v-col>
          <v-col>
            <Checkbox>Skiing</Checkbox>
            <Checkbox>Snooker</Checkbox>
            <Checkbox>Swimming</Checkbox>
            <Checkbox>Table Tennis</Checkbox>
            <Checkbox>Tennis</Checkbox>
            <Checkbox>Volleyball</Checkbox>
            <Checkbox>Weightlifting</Checkbox>
            <Checkbox>Wrestling</Checkbox>
            <Checkbox>Other:</Checkbox>
            <div class="athlete__desc">Describe</div>
          </v-col>
        </v-row>
      </div>
      <div class="athlete__professions px-7 py-7">
        <v-row no-gutters>
          <v-col>
            <p class="font-weight-bold mb-2">Professions</p>
          </v-col>
          <v-col></v-col>
          <v-col>
            <p class="font-weight-bold mb-2">Position(s)</p>
          </v-col>
        </v-row>
        <v-row no-gutters>
          <v-col>
            <Checkbox>Coach</Checkbox>
            <Checkbox>Owner</Checkbox>
            <Checkbox>Player</Checkbox>
          </v-col>
          <v-col>
            <Checkbox>Trainer</Checkbox>
            <Checkbox>Other:</Checkbox>
            <div class="athlete__desc">Describe</div>
          </v-col>
          <v-col>
            <div class="athlete__desc pb-6">Describe</div>
          </v-col>
        </v-row>
      </div>
    </div>
    <v-btn slot="button" rounded color="error" min-width="200" @click="$emit('save', 'athlete')">Save</v-btn>
  </Modal>
</template>

<script>
import Modal from '../../shared/Modal/Modal';
import Checkbox from '../../shared/Checkbox/Checkbox';
export default {
  name: 'ProfessionAthlete',
  props: {
    visible: Boolean
  },
  components: {
    Modal,
    Checkbox
  }
};
</script>

<style lang="scss" scoped >
@import './ProfessionAthlete.scss';
</style>